Package org.springframework.security.config.annotation.authentication.configuration

# Class GlobalAuthenticationConfigurerAdapter

java.lang.Object
org.springframework.security.config.annotation.authentication.configuration.GlobalAuthenticationConfigurerAdapter

All Implemented Interfaces:
  `SecurityConfigurer<org.springframework.security.authentication.AuthenticationManager,AuthenticationManagerBuilder>`

@Order(100) public abstract class GlobalAuthenticationConfigurerAdapter extends Object implements SecurityConfigurer<org.springframework.security.authentication.AuthenticationManager,AuthenticationManagerBuilder>
A `SecurityConfigurer` that can be exposed as a bean to configure the global `AuthenticationManagerBuilder`. Beans of this type are automatically used by `AuthenticationConfiguration` to configure the global `AuthenticationManagerBuilder`.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`GlobalAuthenticationConfigurerAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(AuthenticationManagerBuilder auth)`
Configure the `SecurityBuilder` by setting the necessary properties on the `SecurityBuilder`.
`void`
`init(AuthenticationManagerBuilder auth)`
Initialize the `SecurityBuilder`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobalAuthenticationConfigurerAdapter

public GlobalAuthenticationConfigurerAdapter()

## Method Details

### init

public void init(AuthenticationManagerBuilder auth) throws Exception
Description copied from interface: `SecurityConfigurer`
Initialize the `SecurityBuilder`. Here only shared state should be created and modified, but not properties on the `SecurityBuilder` used for building the object. This ensures that the `SecurityConfigurer.configure(SecurityBuilder)` method uses the correct shared objects when building. Configurers should be applied here.

Specified by:
  `init` in interface `SecurityConfigurer<org.springframework.security.authentication.AuthenticationManager,AuthenticationManagerBuilder>`
Throws:
  `Exception`

### configure

public void configure(AuthenticationManagerBuilder auth) throws Exception
Description copied from interface: `SecurityConfigurer`
Configure the `SecurityBuilder` by setting the necessary properties on the `SecurityBuilder`.

Specified by:
  `configure` in interface `SecurityConfigurer<org.springframework.security.authentication.AuthenticationManager,AuthenticationManagerBuilder>`
Throws:
  `Exception`